searchNodes=[{"ref":"ExVatcheck.html","title":"ExVatcheck","type":"module","doc":"ExVatcheck is a library for validating VAT identification numbers using the VIES service. Because the VIES service is not always reliable, and is frequently unavailable, ExVatcheck falls back to Regex in the case when the service can&#39;t be reached."},{"ref":"ExVatcheck.html#check/1","title":"ExVatcheck.check/1","type":"function","doc":"Validates a given VAT identification number using the VIES service. Returns an ExVatcheck.VAT.t() struct."},{"ref":"ExVatcheck.Countries.html","title":"ExVatcheck.Countries","type":"module","doc":"A module for checking to see whether or not a VAT matches one of the expected patterns for EU countries. Countries handled include: AT: Austria BE: Belgium BG: Bulgaria CY: Cyprus CZ: Czech Republic DE: Germany DK: Denmark EE: Estonia EL: Greece ES: Spain FI: Finland FR: France GB: United Kingdom HR: Croatia HU: Hungary IE: Ireland IT: Italy LT: Lithuania LU: Luxembourg LV: Latvia MT: Malta NL: Netherlands PL: Poland PT: Portugal RO: Romania SE: Sweden SI: Slovenia SK: Slovakia"},{"ref":"ExVatcheck.Countries.html#valid_format?/1","title":"ExVatcheck.Countries.valid_format?/1","type":"function","doc":"Determines whether or not a VAT identification number has a valid format by checking to see if it matches any of the country-specific regexes. Returns true if the VAT number matches one of the regexes, and returns false otherwise."},{"ref":"ExVatcheck.VAT.html","title":"ExVatcheck.VAT","type":"module","doc":"The ExVatcheck.VAT module provides a struct that encapsulates the properties of a VAT identification number after validation."},{"ref":"ExVatcheck.VAT.html#normalize/1","title":"ExVatcheck.VAT.normalize/1","type":"function","doc":"Normalizes a VAT identification number by stripping non-alphanumeric characters and capitalizing any letters. Returns a binary representing the normalized VAT number."},{"ref":"ExVatcheck.VAT.html#t:t/0","title":"ExVatcheck.VAT.t/0","type":"type","doc":""},{"ref":"ExVatcheck.VIESClient.html","title":"ExVatcheck.VIESClient","type":"module","doc":"The ExVatcheck.Vies module provides a client for the VIES VAT identification number service."},{"ref":"ExVatcheck.VIESClient.html#check_vat/3","title":"ExVatcheck.VIESClient.check_vat/3","type":"function","doc":"Queries the VIES service to determine whether or not the provided VAT identification number is valid. Returns {:ok, response} in the case of a successful call to the service, and {:error, error} in the case that the service could not be reached or the XML response could not be parsed."},{"ref":"ExVatcheck.VIESClient.html#new/0","title":"ExVatcheck.VIESClient.new/0","type":"function","doc":"Returns a new VIES client struct which can be used to make requests in check_vat/3. If the VIES service times out, or if invalid WSDL is returned and the checkVat service URL cannot be parsed, an error is returned."},{"ref":"ExVatcheck.VIESClient.html#t:t/0","title":"ExVatcheck.VIESClient.t/0","type":"type","doc":""},{"ref":"ExVatcheck.VIESClient.XMLParser.html","title":"ExVatcheck.VIESClient.XMLParser","type":"module","doc":"A module for parsing XML responses from VIES client requests into Elixir maps."},{"ref":"ExVatcheck.VIESClient.XMLParser.html#parse_response/1","title":"ExVatcheck.VIESClient.XMLParser.parse_response/1","type":"function","doc":"The parse_response/1 function parses the XML response returned by requests to the checkVatService. When the service is available, the response has the following structure: &lt;soap:Envelope xmlns:soap=&quot;http://schemas.xmlsoap.org/soap/envelope/&quot;&gt; &lt;soap:Body&gt; &lt;checkVatResponse xmlns=&quot;urn:ec.europa.eu:taxud:vies:services:checkVat:types&quot;&gt; &lt;countryCode&gt;BE&lt;/countryCode&gt; &lt;vatNumber&gt;0829071668&lt;/vatNumber&gt; &lt;requestDate&gt;2016-01-16+01:00&lt;/requestDate&gt; &lt;valid&gt;true&lt;/valid&gt; &lt;name&gt;SPRL BIGUP&lt;/name&gt; &lt;address&gt;RUE LONGUE 93 1320 BEAUVECHAIN&lt;/address&gt; &lt;/checkVatResponse&gt; &lt;/soap:Body&gt; &lt;/soap:Envelope&gt; Sometimes, the VIES service is unavailable (see http://ec.europa.eu/taxation_customs/vies/help.html). In the case that it is not, the response has the following structure: &lt;soap:Envelope xmlns:soap=&quot;http://schemas.xmlsoap.org/soap/envelope/&quot;&gt; &lt;soap:Body&gt; &lt;soap:Fault&gt; ... &lt;/soap:Fault&gt; &lt;/soap:Body&gt; &lt;/soap:Envelope&gt;"},{"ref":"ExVatcheck.VIESClient.XMLParser.html#parse_service/1","title":"ExVatcheck.VIESClient.XMLParser.parse_service/1","type":"function","doc":"The parse_service/1 function parses the URL of the checkVatService from the VIES WSDL response. The WSDL has the following structure: &lt;wsdl:definitions ...&gt; ... &lt;wsdl:service name=&quot;checkVatService&quot;&gt; &lt;wsdl:port name=&quot;checkVatPort&quot; binding=&quot;impl:checkVatBinding&quot;&gt; &lt;wsdlsoap:address location=&quot;http://ec.europa.eu/taxation_customs/vies/services/checkVatService&quot;/&gt; &lt;/wsdl:port&gt; &lt;/wsdl:service&gt; &lt;/wsdl:definitions&gt;"},{"ref":"ExVatcheck.VIESClient.XMLParser.html#t:response/0","title":"ExVatcheck.VIESClient.XMLParser.response/0","type":"type","doc":""}]